Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.etkra.protocol.v1
Class EhealthDistinguishedNameType

    java.lang.Object
      be.fgov.ehealth.etkra.protocol.v1.EhealthDistinguishedNameType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2018-02-02T03:42:59+01:00",
               comments="JAXB RI v2.2.11")
    public class EhealthDistinguishedNameType

extends Object
implements Serializable

Java class for EhealthDistinguishedNameType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="EhealthDistinguishedNameType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="CommonName" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="OrganisationUnit" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="Organisation" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="SerialNumber" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="EmailAddress" type="{http://www.w3.org/2001/XMLSchema}string"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`EhealthDistinguishedNameType()`

Method Summary
`String` | `getCommonName()` Gets the value of the commonName property.
`String` | `getEmailAddress()` Gets the value of the emailAddress property.
`String` | `getOrganisation()` Gets the value of the organisation property.
`String` | `getOrganisationUnit()` Gets the value of the organisationUnit property.
`String` | `getSerialNumber()` Gets the value of the serialNumber property.
`void` | `setCommonName(String value)` Sets the value of the commonName property.
`void` | `setEmailAddress(String value)` Sets the value of the emailAddress property.
`void` | `setOrganisation(String value)` Sets the value of the organisation property.
`void` | `setOrganisationUnit(String value)` Sets the value of the organisationUnit property.
`void` | `setSerialNumber(String value)` Sets the value of the serialNumber property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EhealthDistinguishedNameType

    public EhealthDistinguishedNameType()

Method Detail

### getCommonName

    public String getCommonName()

  Gets the value of the commonName property.

  Returns:
    possible object is `String`

### setCommonName

    public void setCommonName(String value)

  Sets the value of the commonName property.

  Parameters:
    `value` - allowed object is `String`

### getOrganisationUnit

    public String getOrganisationUnit()

  Gets the value of the organisationUnit property.

  Returns:
    possible object is `String`

### setOrganisationUnit

    public void setOrganisationUnit(String value)

  Sets the value of the organisationUnit property.

  Parameters:
    `value` - allowed object is `String`

### getOrganisation

    public String getOrganisation()

  Gets the value of the organisation property.

  Returns:
    possible object is `String`

### setOrganisation

    public void setOrganisation(String value)

  Sets the value of the organisation property.

  Parameters:
    `value` - allowed object is `String`

### getSerialNumber

    public String getSerialNumber()

  Gets the value of the serialNumber property.

  Returns:
    possible object is `String`

### setSerialNumber

    public void setSerialNumber(String value)

  Sets the value of the serialNumber property.

  Parameters:
    `value` - allowed object is `String`

### getEmailAddress

    public String getEmailAddress()

  Gets the value of the emailAddress property.

  Returns:
    possible object is `String`

### setEmailAddress

    public void setEmailAddress(String value)

  Sets the value of the emailAddress property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.14.2 API
Copyright © {inceptionYear}-2018 eHealth. All Rights Reserved.